<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
//Бан на форуме
$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$ya['id']."' and `serius` = 'forum' LIMIT 1");
if ($ban -> num_rows > 0) {
header('location: '.ROOT.'ban.php?mode=forum');
}
if ($aut) {
if ($id) {
require_once (ROOT.'/new_mail.php');
$sql = $db -> query("SELECT `id`,`name` FROM `forum_razdel` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$razdel = $sql -> fetch_row();
if (empty($_POST['name']) || empty($_POST['text'])) {
$diz -> head('Создаем тему');
$diz -> title($razdel[1]);
$msg.='<div class="fon">';
$msg .= 'Введите название темы:
<form action="newtheme.php?id='.$id.'" method="post"><div>
<input type="text" name="name" maxlength="40"/><br/>
Введите текст сообщения:<br/>
<textarea name="text" rows="'.$ya['versh'].'" cols="'.$ya['shir'].'"></textarea><br/>
<input type="submit" value="Создать"/>
</div></form>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'
<a href="razdel.php?id='.$razdel[0].'">Назад</a></br>'.$diz -> img('home.png').'
<a href="'.ROOT.'index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {

$name = shit($_POST['name']);
$text=shit($_POST['text']); 
if(mb_strlen($func -> delprobel($text)) < 2){
$diz -> head('Соблюдай длину');
$diz -> title('Ошибка');
$diz -> out('Текст сообщения не может быть короче 2 символов!
<br/><a href="?id='.$id.'&page='.$page.'">Назад</a>');
}elseif(mb_strlen($func -> delprobel($name)) < 2){
$diz -> head('Соблюдай длину');
$diz -> title('Ошибка');
$diz -> out('Название темы не может быть короче 2 символов!
<br/><a href="?id='.$id.'&page='.$page.'">Назад</a>');}else{
$te = $db -> query("SELECT * FROM `forum_tems` WHERE `name` = '".$name."' and `razdel` = '".$id."' LIMIT 1");
if ($te -> num_rows > 0) {
     $diz -> head('Ошибка');
     $diz -> title('Ошибка');
     $msg.='<div class="fon">Такая тема уже существует!</div>';
     header('refresh: 3; url=newtheme.php?id='.$id.'');
     $diz -> out($msg);
}else{
$db -> query("UPDATE `users` SET `balls`=balls+'".$nastr['bforum']."',`fposts`=fposts+1 WHERE `id` = '".$ya['id']."'");
$db -> query("INSERT INTO `forum_tems` SET `razdel` = '".$razdel[0]."', `name` = '".$name."', `user` = '".$ya['id']."',`uptime` = '".time()."',`time` = '".time()."'");
$fid = $db -> insert_id;
$db -> query("INSERT INTO `forum_posts` SET `tema` = '".$fid."', `user` = '".$ya['id']."',`razdel` = '".$razdel[0]."', `text` = '".$text."',`ip` = '".$ip."', `browser` = '".$browser."',`time` = '".time()."'");
header('location: tema.php?id='.$fid);
}}}
} else header('location: razdel.php?id='.$id);
} else header('location: index.php');
} else header('location: index.php');
?>